@echo off
rem ************************************************************************************
rem * Description: 	Detects if there is EMULEX Fibre controller present
rem * Name: 		DTCTEMUL.BAT
rem * Dependencies:	HWDETECT.EXE, SETERRLV.EXE, SAVERC.BAT, TKOUT.BAT
rem * Parameters: 	None
rem * Return Code:
rem * 			0   = supported FIBRE controller is found 
rem * 			1   = supported FIBRE controller not found
rem ************************************************************************************

rem ************************************************************************************
rem *** Initialize Return Code
rem ************************************************************************************
set RC=0

rem ************************************************************************************
rem *** Emulex 4Gb SFF Fibre Channel Expansion card for IBM BladeCenter
rem ************************************************************************************
hwdetect /vid:10DF /did:FD00
if errorlevel 1 goto EMU1

:NOFIBRE
set MSG="Emulex Fibre adapters not detected."
call TKOUT.BAT
SET RC=1
goto END

:EMU1
set MSG="Detected Emulex 4Gb SFF Fibre Channel Adapter"
call TKOUT.BAT
goto FIBRE

:FIBRE
set MSG="Emulex Fibre adapters detected."
call TKOUT.BAT
SET RC=0
goto END

:END
SET MSG=
SETERRLV %RC%

